package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户订购资源明细对象 dxp_user_resource_item
 * 
 * @author jy
 * @date 2022-12-26
 */
public class UserResourceItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户订购资源id */
    @Excel(name = "用户订购资源id")
    private Long userResourceId;

    /** 资源项，JSON */
    @Excel(name = "资源项，JSON")
    private String resourceItem;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserResourceId(Long userResourceId) 
    {
        this.userResourceId = userResourceId;
    }

    public Long getUserResourceId() 
    {
        return userResourceId;
    }
    public void setResourceItem(String resourceItem) 
    {
        this.resourceItem = resourceItem;
    }

    public String getResourceItem() 
    {
        return resourceItem;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userResourceId", getUserResourceId())
            .append("resourceItem", getResourceItem())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
